const bibl_types = [
    {
      name: "book",
      title: "Buch"
    },
    {
      name: "bookSection",
      title: "Buchaufsatz"
    },
    {
      name: "journalArticle",
      title: "Zeitschriftenartikel"
    },
    {
      name: "newspaperArticle",
      title: "Zeitungsartikel"
    },
    {
      name: "webPublication",
      title: "Webpublikation"
    },
    {
      name: "ms",
      title: "Manuskript/Typoskript"
    },
    {
      name: "journal",
      title: "Zeitschrift",
    },
    {
      name: "newspaper",
      title: "Zeitung"
    },
    {
      name: "series",
      title: "Reihe/Mehrbändiges Werk"
    }
];


const mapBiblStructTypeToGerman = (type) => {
  const type_object = bibl_types.find(bt => bt.name === type);
  return type_object ? type_object.title : type;
}


const languages = [
  {
    value: "de",
    title: "Deutsch"
  },
  {
    value: "en",
    title: "Englisch"
  },
  {
    value: "it",
    title: "Italienisch"
  },
  {
    value: "es",
    title: "Spanisch"
  },
  {
    value: "ja",
    title: "Japanisch"
  },
  {
    value: "zh",
    title: "Chinesisch"
  },
  {
    value: "pt",
    title: "Portugiesisch"
  },
  {
    value: "fr",
    title: "Französisch"
  },
  {
    value: "pl",
    title: "Polnisch"
  },
  {
    value: "ru",
    title: "Russisch"
  },
  {
    value: "cs",
    title: "Tschechisch"
  },
  {
    value: "hr",
    title: "Kroatisch"
  },
  {
    value: "da",
    title: "Dänisch"
  },
  {
    value: "no",
    title: "Norwegisch"
  },
  {
    value: "sv",
    title: "Schwedisch"
  },
  {
    value: "fi",
    title: "Finnisch"
  },
  {
    value: "ko",
    title: "Koreanisch"
  },
  {
    value: "hu",
    title: "Ungarisch"
  },
  {
    value: "bg",
    title: "Bulgarisch"
  },
  {
    value: "uk",
    title: "Ukrainisch"
  },
  {
    value: "el",
    title: "Griechisch"
  },
  {
    value: "sl",
    title: "Slowenisch"
  },
  {
    value: "sr",
    title: "Serbisch"
  },
  {
    value: "et",
    title: "Estnisch"
  },
  {
    value: "tr",
    title: "Türkisch"
  },
  {
    value: "ar",
    title: "Arabisch"
  },
  {
    value: "nl",
    title: "Niederländisch"
  },
  {
    value: "ka",
    title: "Georgisch"
  },
  {
    value: "la",
    title: "Latein"
  }
];


const mapTextLangToGerman = (array) => {
  return array.map(lang => {
    const languageObj = languages.find(
      languageObj => languageObj.value === lang
    );

    if (languageObj){
      return languageObj.title;
    } else {
      return lang;
    }
  })
  .join(", ");
}


const relations = [
  {
    "id": "firstPrint",
    "label": "Erstdruck"
  },
  {
    "id": "reprint",
    "label": "Nachdrucke"
  },
  {
    "id": "reprintOf",
    "label": "Nachdruck von"
  },
  {
    "id": "translation",
    "label": "Übersetzungen"
  },
  {
    "id": "related-translations",
    "label": "Übersetzungen anderer Ausgaben dieses Textes"
  },
  {
    "id": "translationOf",
    "label": "Übersetzung von"
  },
  {
    "id": "partOf",
    "label": "Teil von"
  },
  {
    "id": "continuationOf",
    "label": "Fortsetzung von"
  },
  {
    "id": "continuedBy",
    "label": "Fortgesetzt von"
  },
  {
    "id": "same-series-other-volume",
    "label": "Schwesterbände eines mehrbändigen Werks"
  },
  {
    "id": "reviewOf",
    "label": "Review zu"
  },
  {
    "id": "articleIncluded",
    "label": "Enthaltene Artikel"
  }
];


const mapRelatedItemTypeToGerman = (id) => {
  const relation = relations.find(r => r.id === id);
  return relation ? relation.label : id;
}


module.exports = {
  bibl_types,
  languages,
  relations,
  mapBiblStructTypeToGerman,
  mapTextLangToGerman,
  mapRelatedItemTypeToGerman
}
