import React from "react";
import { BrowserRouter } from 'react-router-dom'

import ScrollToTop from "./ScrollToTop.js";
import CommonRootComponent from "./CommonRootComponent.js";

import { ThemeProvider } from '@material-ui/styles';
import theme from './muiTheme';

/*
  This is the root component that is used on client side rendering.
*/

function ClientRootComponent() {
  React.useEffect(() => {
    const jssStyles = document.querySelector('#jss-server-side');
    if (jssStyles) {
      jssStyles.parentNode.removeChild(jssStyles);
    }
  }, []);

  return (
    <ThemeProvider theme={theme}>
      <BrowserRouter>
        <ScrollToTop>
          <CommonRootComponent/>
        </ScrollToTop>
      </BrowserRouter>
    </ThemeProvider>
  );
}

export default ClientRootComponent;
