import React from "react";
import { Route, Redirect } from "react-router-dom";

import Layout from "./Layout";
import Start from "./pages/Start";
import Bestand from "./pages/bestand";
import NLGesamtbibliographie from "./pages/bestand/NLGesamtbibliographie";

import Person from "./pages/person"

import Projekt from "./pages/projekt";

import Aktuelles from "./pages/Aktuelles";

import Nachlass from "./pages/Nachlass";

import Search from "./pages/Search";
import Impressum from "./pages/Impressum";


import muiTheme from "./muiTheme.js"
import { ThemeProvider } from '@material-ui/styles';

/*
  This is the common root component, that is called on server side render
  as well as on client side render.
*/

export default class CommonRootComponent extends React.Component {
  render() {

    const sheetsManager = new Map();

    return (
      <ThemeProvider theme={muiTheme}>
        <Route path="/">
          <Layout>
            <Route path="/" exact component={Start}/>

            <Route exact path="/person" render={() => (
                <Redirect to="/person/person-und-werk"/>
            )}/>
            <Route
              path="/person/:tab"
              exact
              component={Person}
            />

            <Route path="/bestand" component={Bestand}/>
            <Route
              path="/bestand/nl-gesamtbibliographie"
              component={NLGesamtbibliographie}
            />

            <Route exact path="/nachlass" render={() => (
              <Redirect to="/nachlass/uebersicht"/>
            )}/>
            <Route
              path="/nachlass/:tab"
              exact
              component={Nachlass}
            />

            <Route exact path="/projekt" render={() => (
              <Redirect to="/projekt/beschreibung"/>
            )}/>
            <Route
              path="/projekt/:tab"
              exact
              component={Projekt}
            />

            <Route path="/aktuelles" exact component={Aktuelles}/>
            <Route path="/search" exact component={Search}/>
            <Route path="/impressum" exact component={Impressum}/>
          </Layout>
        </Route>
      </ThemeProvider>
    );
  }

}
