import React from "react";
import { NavLink } from "react-router-dom";

import HeaderLink from "./HeaderLink"

import { withStyles } from '@material-ui/core/styles';


const styles = theme => ({
  root: {
    display: "none",
    [theme.breakpoints.up('lg')]: {
      display: "block"
    },
  }
});


function TabBar(props){

  const { classes } = props;

  return (
    <div className={classes.root}>
      <HeaderLink to="/person">
        Person und Theorie
      </HeaderLink>
      <HeaderLink to="/bestand">
        Online-Bestand
      </HeaderLink>
      <HeaderLink to="/nachlass">
        Nachlass
      </HeaderLink>
      <HeaderLink to="/projekt">
        Über das Projekt
      </HeaderLink>
      <HeaderLink to="/aktuelles">
        Aktuelles
      </HeaderLink>
    </div>
  );
}

export default withStyles(styles)(TabBar);
