import React from "react";

import Header from "./Header";
import Footer from "./Footer";

import withWidth from '@material-ui/core/withWidth';

function Layout(props){

  const width = props.width;
  const isSmallScreen = width === "xs" || width === "sm";
  const className = isSmallScreen ? "layout is-small-screen" : "layout";

  return (
    <div className={className}>
      <Header/>
      <main>
        { props.children }
        <Footer/>
      </main>
    </div>
  );
}

export default withWidth()(Layout);
