import React from "react";
import { withRouter } from 'react-router'

class ScrollToTop extends React.Component {
  componentDidUpdate(prevProps) {
    /*
      Only scroll to top, when the pathname changes.
      When only the search parameters change, like when changing filters
      on the search page, do not scroll to top.
    */
    if (window && this.props.location.pathname !== prevProps.location.pathname){
      window.scrollTo(0, 0);
    }
  }


  componentDidMount(){
    if (window){
      window.scrollTo(0, 0);
    }

  }

  render() {
    return this.props.children
  }
}

export default withRouter(ScrollToTop)
