import React from "react";

import { Link } from "react-router-dom";

export default class Crumbs extends React.Component {

  getMarkup(crumbs){

    let markup = [];

    crumbs.forEach((crumb, index, array) => {
      markup.push(
        <Link key={"crumb_" + index} to={crumb.link}>
          {crumb.title}
        </Link>
      );

      if (index < (array.length - 1)){
        markup.push(
          <span
            key={"crumb_arrow_" + index}
            style={{"whiteSpace": "pre"}}
          > &gt; </span>
        );
      }

    });

    return markup;

  }


  render(){

    return (
      <div className="crumbs">
        {this.getMarkup(this.props.crumbs)}
      </div>
    );
  }

}
