import React from "react";

import { Link } from "react-router-dom";

import { withStyles } from '@material-ui/core/styles';
import Card from '@material-ui/core/Card';
import CardActionArea from '@material-ui/core/CardActionArea';
import CardActions from '@material-ui/core/CardActions';
import CardContent from '@material-ui/core/CardContent';
import CardMedia from '@material-ui/core/CardMedia';
import Button from '@material-ui/core/Button';
import Typography from '@material-ui/core/Typography';

import Grid from '@material-ui/core/Grid';

export default class PortalCard extends React.Component {

  render(){
    return (
      <Grid item xs={12} md={6}>
        <Card style={{"height": "100%"}} raised={true}>
          <Link to={this.props.link} style={{"textDecoration": "none"}}>
            <CardActionArea>
              <CardMedia
                component="img"
                alt={this.props.title}
                height="140"
                image={this.props.image}
                title={this.props.title}
                className="portal-card-media"
              />
              <CardContent style={{
                "minHeight": "88px",
                "color": "rgba(0,0,0,0.87)"
              }}>
                <Typography gutterBottom variant="h5" component="h2">
                  {this.props.title}
                </Typography>
                <Typography component="p" style={{"fontSize": "0.875rem"}}>
                  {this.props.description}
                </Typography>
              </CardContent>
            </CardActionArea>
          </Link>
          <CardActions classes={{root: "card-actions"}}>
            {this.props.children}
          </CardActions>
        </Card>
      </Grid>
    );
  }
}
