import React from "react";
import { makeStyles } from '@material-ui/core/styles';
import FormControl from '@material-ui/core/FormControl';
import InputLabel from '@material-ui/core/InputLabel';
import Select from '@material-ui/core/Select';
import MenuItem from '@material-ui/core/MenuItem';

const useStyles = makeStyles(theme => ({
  formControl: {
    margin: theme.spacing(1),
    minWidth: 140,
  }
}));


export default function ResultsPerPageSetter(props) {

  const classes = useStyles();

  return (
    <div style={{"textAlign": "center", "wordBreak": "break-all"}}>
      <FormControl className={classes.formControl}>
        <InputLabel htmlFor="results-per-page">Ergebnisse pro Seite</InputLabel>
        <Select
          value={props.value}
          onChange={(e) => {props.onChange(parseInt(e.target.value));}}
        >
          <MenuItem key={"rpp-mi-10"} value={10}>10</MenuItem>
          <MenuItem key={"rpp-mi-20"} value={20}>20</MenuItem>
          <MenuItem key={"rpp-mi-50"} value={50}>50</MenuItem>
        </Select>
      </FormControl>
    </div>
  );

}
