import React from "react";

import LetterToggle from "./LetterToggle";

export default class LetterFilter extends React.Component {

  constructor(props) {
    super(props);
  }


  handleChange(letter){
    let activeLetters = this.props.selected;
    if (!activeLetters.includes(letter)){
      if (this.props.setOnlyOneActiveLetter === true){
        activeLetters = [letter];
      } else {
        activeLetters = [...new Set([...activeLetters, letter])];
      }
    } else {
      activeLetters = activeLetters.filter(item => item !== letter)
    }

    this.props.onChange && this.props.onChange(activeLetters);
  }


  renderMarkup() {
    return Array.from("ABCDEFGHIJKLMNOPQRSTUVWXYZ")
    .map((letter, i) => {
      return <LetterToggle
        key={"letterToggle_" + i}
        onChange={() => this.handleChange(letter)}
        checked={this.props.selected.includes(letter)}
      >
        {letter}
      </LetterToggle>;
    });
  }


  render(){
    return (
      <div className="filter" style={{
        "display": "inline-block",
        "gridArea": this.props.gridArea,
        "maxWidth": "360px"
      }}>
        {
          this.props.label
          ? <h5 style={{"margin": "0px", "marginBottom": "10px"}}>
            {this.props.label}
          </h5>
          : ""
        }
        {this.renderMarkup()}
      </div>
    );
  }
}
