import React from "react";


import FormGroup from '@material-ui/core/FormGroup';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Checkbox from '@material-ui/core/Checkbox';

export default class OptionsSelect extends React.Component {

  constructor(props) {
    super(props);
  }


  componentDidMount() {
    return;
  }


  addOrRemoveSelected(value){
    const currentSelected = this.props.selected;
    let newSelected;
    
    if (!currentSelected.includes(value)){
      newSelected = [...currentSelected, value];
    } else {
      newSelected = currentSelected.filter(t => t !== value);
    }
    newSelected.sort();

    this.props.onChange && this.props.onChange(newSelected);
  }


  renderSelect() {

    let self = this;

    return <FormGroup>
      {this.props.options.map(option => {
        return (
          <FormControlLabel
            control={
              <Checkbox
                checked={this.props.selected.includes(option.id)}
                onChange={e => self.addOrRemoveSelected(
                  e.target.value
                )}
                value={option.id}
                color="primary"
              />
            }
            label={option.label}
            key={"fcl_" + option.id}
          />
        );
      })}
    </FormGroup>;
  }


  render(){
    return (
      <div className="filter" style={{
        "display": "inline-block",
        "gridArea": this.props.gridArea
      }}>
        {
          this.props.title
          ? <h5>{this.props.title}</h5>
          : ""
        }
        {this.renderSelect()}
      </div>
    );
  }
}
