import React from "react";


import TextField from '@material-ui/core/TextField';

export default class YearFilter extends React.Component {

  constructor(props) {
    super(props);
  }


  handleChange(key, value){

    const newValue = {
      ...this.props.value
    };

    newValue[key] = parseInt(value) || null;

    this.props.onChange(newValue);
  }


  render(){
    let value = this.props.value;

    if (!value){
      value = {
        "from": "",
        "to": ""
      }
    }

    if (!value.from) value.from = "";
    if (!value.to) value.to = "";

    return (
      <div>
        <h5>{this.props.label}</h5>
        <TextField
          id={this.props.id + "_from"}
          label="von"
          value={value.from}
          onChange={e => this.handleChange("from", e.target.value)}
          type="number"
          className="search-year-picker"
          InputLabelProps={{
            shrink: true,
          }}
          margin="normal"
        />
        <TextField
          id={this.props.id + "_to"}
          label="bis"
          value={value.to}
          onChange={e => this.handleChange("to", e.target.value)}
          type="number"
          className="search-year-picker"
          InputLabelProps={{
            shrink: true,
          }}
          margin="normal"
        />
      </div>
    );
  }
}
