import React from "react";
import { Link } from "react-router-dom";

export default function TextWithHighlightedTokens(props) {

  const text = props.text;
  const tokensToHighlight = props.tokensToHighlight;

  if ((!tokensToHighlight) || (tokensToHighlight.length === 0)){
    return text;
  }

  const tokensNormalized = tokensToHighlight.map(t => {
    return t
    .toLowerCase()
    .replace(/\"/g, "");
  });
  const tokensString = tokensNormalized.join("|");

  const textParts = text.split(
    new RegExp(`(${tokensString})`, 'gi')
  );

  return <span>{
    textParts.map((part, i) => {
      const isHighlight = tokensNormalized.includes(part.toLowerCase());
      if (isHighlight) {
        return <span
          key={i}
          style={props.highlightStyle}
        >
          {part}
        </span>;
      } else {
        return part;
      }
    })
  }</span>;
}
