import React from "react";

import { Link } from "react-router-dom";

var constants = require("../../../constants.js");

import Card from '@material-ui/core/Card';

export default class ZKResult extends React.Component {
  render(){

    const result = this.props.result;
    const image_url = constants.URLS.IMAGE_API + result.image.id;
    const image_url_thumbnail = image_url + "?size=0";
    const logical_zk_number_roman = result.zk_number === "2" ? "II" : "I";

    return (
      <Card style={{
        "width": "150px",
        "display": "inline-block",
        "margin": "10px"
      }}>
        <Link to={constants.URLS.ZETTEL_URL_PREFIX + result.ekin}>
          <img
            style={{"width": "100%"}}
            src={image_url_thumbnail}
          />
          <p style={{"textAlign": "center", "margin": "0px"}}>
            {
              (result.title === "")
              ? "Unbenannter Zettel (" + result.ekin + ")"
              : result.title
            }
          </p>
        </Link>
      </Card>
    );
  }
}
