import React from "react";

import { Link } from "react-router-dom";

import OptionsSelect from "../../../../UI/SearchFilters/OptionsSelect";

import TextField from '@material-ui/core/TextField';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Switch from '@material-ui/core/Switch';
import Button from '@material-ui/core/Button';
import Radio from '@material-ui/core/Radio';
import RadioGroup from '@material-ui/core/RadioGroup';
import Icon from '@material-ui/core/Icon';
import IconButton from '@material-ui/core/IconButton';
import ClearIcon from '@material-ui/icons/Clear';

const constants = require("../../../../../constants.js");

export default class Filters extends React.Component {

  constructor(props) {
    super(props);
  }


  handleFilterChange(key, newValue){
    this.props.onChange(key, newValue);
  }


  render(){
    const self = this;
    const state = this.props.state;

    return (
        <div
          className="filters"
          style={{
            "gridGap": "20px"
          }}
        >
          <div style={{"display": "flex", "justifyContent": "space-between"}}>
            <h2 style={{"margin": "0"}}>Suchfilter</h2>
            <Link
              className="buttonLink"
              to="/bestand/av/suche"
              title="Alle Filter zurücksetzen"
            >
              <IconButton color="primary" aria-label="Alle Filter zurücksetzen">
                <ClearIcon />
              </IconButton>
            </Link>
          </div>
          <OptionsSelect
            title="Typ"
            id="types"
            options={[
              {
                label: "Interview/Feature",
                id: "Interview"
              },
              {
                label: "Vorlesung",
                id: "Vorlesung"
              },
              {
                label: "Vortrag",
                id: "Vortrag"
              },
              {
                label: "Seminar",
                id: "Seminar"
              }
            ]}
            onChange={(selected) => this.handleFilterChange(
              "types", selected
            )}
            selected={state.types}
          />
          <hr/>
          <Link
            className="buttonLink"
            to="/bestand/av/suche"
          >
            <Button
              color="primary"
            >
              Alle Filter zurücksetzen
            </Button>
          </Link>
        </div>
    );
  }
}
