import React from "react";

import { Link } from "react-router-dom";

var constants = require("../../../../../constants.js");

export default class Result extends React.Component {


  render(){

    let result = this.props.result;

    let image;
    const imageStyle = {
      "marginRight": "10px",
      "width": "100px"
    };
    if (result.image){
      let image_url = constants.URLS.AV_ASSET_FOLDER + result.image;
      image = <Link to={constants.URLS.AV_URL_PREFIX + result.id}>
          <img style={imageStyle} src={image_url} />
      </Link>
    } else if (result.mediaType === "Audio"){
      image = <img
        style={imageStyle}
        src="/assets/images/speaker_icon.png"
      />
    } else {
      image = "";
    }

    return (
      <div style={{"margin": "15px 0px", "display": "flex", "alignItems": "start"}}>
        {image}
        <div>
          <Link to={constants.URLS.AV_URL_PREFIX + result.id}>
            <h3 style={{"margin": "0px", "lineHeight": "inherit"}}>{result.title}</h3>
          </Link>
          <p style={{"color": "green", "margin": "0", "fontWeight": "bold"}}>
            {result.type}
          </p>
          <p>
            {result.description}
          </p>
        </div>
      </div>
    );
  }
}
