import React from "react";

import { Link } from "react-router-dom";

import ConditionalItemField from "../../../../../../UI/ConditionalItemField"
import SeriesField from "./SeriesField"

export default class DetailInfoJournalArticle extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }


  render(){

    const self = this;
    const item = this.props.item;

    return (
      <div>
        <ConditionalItemField
          label="Autor(en)"
          value={item.authorsHTML}
          markupType="html"
        />
        <ConditionalItemField label="Erscheinungsjahr" value={
          (item.imprint && item.imprint.date)
          || (item.monogr && item.monogr.imprint && item.monogr.imprint.date)
        } />
        <ConditionalItemField label="Titel" value={item.title} />
        <ConditionalItemField label="Untertitel" value={item.subtitle} />
        <ConditionalItemField label="Titelzusatz" value={item.title_addition} />
        <ConditionalItemField label="Paralleltitel" value={item.title_alt} />
        <ConditionalItemField label="URL" value={item.URL} externalLink={item.URL} />
        <ConditionalItemField label="Umfang" value={(item.monogr && item.monogr.extent)} />
        <SeriesField item={item} />

                {
                  item.monogr
                  ?
                    <div style={{"backgroundColor": "rgb(240, 240, 240)", "padding": "10px"}}>
                      <h3 style={{"margin": "0"}}>Übergeordnetes Werk</h3>
                      <ConditionalItemField
                        label="Zeitschrift"
                        value={item.monogr.title}
                        internalLink={item.monogr.id ? "/bestand/bibliographie/item/" + item.monogr.id : null}
                        mouseoverText={item.monogr.id}
                      />
                      <ConditionalItemField label="Untertitel" value={item.monogr.subtitle} />
                      <ConditionalItemField
                        label="Autor(en)"
                        value={item.monogr.authorsHTML}
                        markupType="html"
                      />
                      <ConditionalItemField
                        label="Herausgeber"
                        value={item.monogr.editorsHTML}
                        markupType="html"
                      />
                      <ConditionalItemField label="Erscheinungsort" value={item.monogr.imprint && item.monogr.imprint.pubPlace} />
                      <ConditionalItemField label="Verlag" value={item.monogr.imprint && item.monogr.imprint.publisher} />
                      <ConditionalItemField label="Auflage" value={item.monogr.edition} />
                      <ConditionalItemField label="Erscheinungsjahr" value={item.monogr.imprint && item.monogr.imprint.date} />
                      <ConditionalItemField label="WorldCat-Eintrag"
                        value={item.monogr["URI"]}
                        externalLink={item.monogr["URI"]}
                      />
                      <ConditionalItemField label="Jahrgang/Band" value={item.monogr.volume} />
                      <ConditionalItemField label="Heft" value={item.monogr.journalIssue} />
                      <ConditionalItemField label="Ausgabe" value={item.monogr.newspaperIssue} />
                      <ConditionalItemField label="Erscheinungsjahr" value={item.monogr.pubYear} />
                      <ConditionalItemField label="Erscheinungsdatum" value={item.monogr.pubDate} />
                      <ConditionalItemField label="Seite(n)" value={item.monogr.citedRange} />
                      <ConditionalItemField label="Zugriffsdatum" value={item.monogr.access} />

                      {
                        item["imprint-notes"].length > 0
                        ? <h3 style={{"margin": "0"}}>
                          Ergänzende Information
                        </h3>
                        : ""
                      }
                      {
                        item["imprint-notes"].map((note, i) => {
                          return (
                            <React.Fragment key={"rfnk-" + i}>
                              <span
                                key={"note"+i}
                                dangerouslySetInnerHTML={{"__html": note.html}}
                              />
                              <br/>
                            </React.Fragment>
                          );
                        })
                      }
                    </div>
                  : ""
                }


        <ConditionalItemField
          label="Herausgeber"
          value={item.editors}
          separator=" / "
        />
        <ConditionalItemField
          label="Erscheinungsort"
          value={item.imprint && item.imprint.pubPlace}
        />
        <ConditionalItemField
          label="Verlag"
          value={item.imprint && item.imprint.publisher}
        />
        <ConditionalItemField
          label="Auflage"
          value={item.edition}
        />
      </div>
    );
  }
}
