import React from "react";

import { Link } from "react-router-dom";

import ConditionalItemField from "../../../../../../UI/ConditionalItemField"

export default class SeriesField extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){
    const item = this.props.item;

    return (
      <ConditionalItemField
        label="Reihe"
        markupType="custom"
        condition={
          item.series
          && item.series.length > 0
          && item.series[0].title.length > 0
        }
      >
        {
          item.series.map((s, i, a) => {
            return <span key={"series_" + i}>
              {
                ((s.target) && (s.target.length > 1))
                ? <Link to={
                  "/bestand/bibliographie/item/" + s.target.substring(1)
                }>
                  {s.title}
                </Link>
                : s.title
              }{
                s.biblScopeVolume.length > 0
                ? ", " + s.biblScopeVolume
                : ""
              }
              {i < a.length - 1 ? "; " : ""}
            </span>;
          })
        }
      </ConditionalItemField>
    );
  }
}
