import React from "react";

import { Link } from "react-router-dom";

import DetailInfoBook from "./DetailInfoBook"
import DetailInfoSeries from "./DetailInfoSeries"
import DetailInfoBookSection from "./DetailInfoBookSection"
import DetailInfoJournalArticle from "./DetailInfoJournalArticle"
import DetailInfoJournal from "./DetailInfoJournal"
import DetailInfoNewspaperArticle from "./DetailInfoNewspaperArticle"
import DetailInfoNewspaper from "./DetailInfoNewspaper"
import DetailInfoMS from "./DetailInfoMS"
import DetailInfoElse from "./DetailInfoElse"
import DetailInfoWebPublication from "./DetailInfoWebPublication"

export default class DetailInfo extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }



  render(){

    const self = this;
    const item = this.props.item;

    let detailInfoOfType;
    if (item.type === "book"){
      detailInfoOfType = <DetailInfoBook item={item}/>
    } else if (item.type === "series"){
      detailInfoOfType = <DetailInfoSeries item={item}/>
    } else if (item.type === "bookSection"){
      detailInfoOfType = <DetailInfoBookSection item={item}/>
    } else if (item.type === "journalArticle"){
      detailInfoOfType = <DetailInfoJournalArticle item={item}/>
    } else if (item.type === "journal"){
      detailInfoOfType = <DetailInfoJournal item={item}/>
    } else if (item.type === "newspaperArticle"){
      detailInfoOfType = <DetailInfoNewspaperArticle item={item}/>
    } else if (item.type === "newspaper"){
      detailInfoOfType = <DetailInfoNewspaper item={item}/>
    } else if (item.type === "webPublication"){
      detailInfoOfType = <DetailInfoWebPublication item={item}/>
    } else if (item.type === "ms"){
      detailInfoOfType = <DetailInfoMS item={item}/>
    } else {
      detailInfoOfType = <DetailInfoElse item={item}/>
    }


    return (
      <div>
        <h2>Bibliographische Detailinformationen</h2>
        {detailInfoOfType}
      </div>
    );
  }
}
