import React from "react";

import { Link } from "react-router-dom";
import { fetchJSON } from "../../../../../../utils.js";

import ConditionalItemField from "../../../../../UI/ConditionalItemField"

const constants = require("../../../../../../constants.js");
import * as BiblLogic from "../../../../../../BiblLogic.js";

export default class Metadata extends React.Component {

  constructor(props) {
    super(props);
  }

  render(){
    const item = this.props.item;

    return (
      <div>
        <h2>Metadaten</h2>
        <ConditionalItemField
          label="ID"
          value={item.id}
        />
        <ConditionalItemField
          label="Publikationstyp"
          value={BiblLogic.mapBiblStructTypeToGerman(item.type)}
        />
        <ConditionalItemField
          label={
            item.textLang && (item.textLang.length === 1)
            ? "Sprache"
            : "Sprachen"
          }
          value={
            item.textLang && BiblLogic.mapTextLangToGerman(item.textLang)
          }
        />
        {/* ZDB link built as described in mail by ZDB from 2017-12-07 13:12 */}
        <ConditionalItemField
          label="ZDB-ID(s)"
          value={item["ZDB-IDs"]}
          externalLinkPrefix={"http://ld.zdb-services.de/resource/"}
          externalLinkSuffixes={item["ZDB-IDs"]}
        />
        <ConditionalItemField
          label="WorldCat-Eintrag"
          value={item["URI"]}
          externalLink={item["URI"]}
        />
        <ConditionalItemField
          label="URL"
          value={item["URL"]}
          externalLink={item["URL"]}
        />
        <ConditionalItemField
          label="Zugriffsdatum"
          value={item.monogr && item.monogr.accessDate}
        />
        <ConditionalItemField
          label="Permalink"
          value={
            constants.URLS.PERMALINK_HOME
            + constants.URLS.BIBL_URL_PREFIX
            + item.id
          }
        />
      </div>
    );
  }
}
