import React from "react";

import { Link } from "react-router-dom";
import { fetchJSON, groupByKey } from "../../../../../../utils.js";

import DocumentPageFrame from "../../../../../UI/DocumentPageFrame";
import BusySpinner from "../../../../../UI/BusySpinner";
import Crumbs from "../../../../../UI/Crumbs";

const constants = require("../../../../../../constants.js");

export default class Item extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      item: null,
      isLoading: false,
      error: null
    };
  }


  componentWillUnmount(){
    /*if (document) {
      document.title = constants.APP_TITLE;
    }*/
  }


  fetchData(id){

    const self = this;

    if (!id){
      self.setState({
        error: "unknownID"
      });
      return;
    }

    const url = constants.URLS.DATABASE_API + "PERS/item/" + id;

    self.setState({
      isLoading: true,
      item: null,
      error: null
    });

    fetchJSON(url)
    .then(json => {

      if (json.error){
        self.setState({
          error: "unknownID",
          isLoading: false
        });
        return;
      }

      self.setState({
        item: json,
        error: null,
        isLoading: false
      });

      if (document && this.state.item.id) {
        document.title = this.state.item.id
        + " - "
        + constants.APP_TITLE;
      }

    })
    .catch(e => {
      self.setState({
        error: "server",
        isLoading: false
      });
      console.log(e);
    });

    return;

  }


  componentDidUpdate(prevProps){
    /*const item_id = this.props.match.params.id;
    if (prevProps.match.params.id !== item_id){
      this.fetchData(item_id);
    }*/
  }


  componentDidMount() {
    //this.fetchData(this.props.match.params.id);
  }


  render(){

    const self = this;
    const item = this.state.item;
    /*
    if (!item){
      return (
        <DocumentPageFrame>
          <BusySpinner/>
        </DocumentPageFrame>
      );
    }*/

    return (
      <DocumentPageFrame>
        {/*<Crumbs crumbs={[
          {
            "link": "/",
            "title": "Niklas-Luhmann-Archiv"
          },
          {
            "link": "/bestand",
            "title": "Bestand"
          },
          {
            "link": '/bestand/register/bibliographie',
            "title": "Bibliographie"
          },
          {
            "link": "/bestand/bibliographie/item/" + item.id,
            "title": item.id
          },
        ]} />*/}
        <h1 style={{"wordBreak": "break-all"}}>Personenregister</h1>

        <p>Das Personenregister befindet sich zur Zeit noch im Aufbau.</p>

        {/*
        <h2>Downloads</h2>
        <a
          href={constants.URLS.DATABASE_API + "BIBL/item/" + item.id + "/xml"}
          className="buttonLink"
          style={{"margin": "5px"}}
        >
          <Button color="primary">
            TEI-XML
          </Button>
        </a>
        <a
          href={constants.URLS.DATABASE_API + "BIBL/item/" + item.id}
          className="buttonLink"
          style={{"margin": "5px"}}
        >
          <Button color="primary">
            JSON
          </Button>
        </a>
        */}

      </DocumentPageFrame>
    );
  }
}
