import React from "react";

import { Link } from "react-router-dom";

import OptionsSelect from "../../../../UI/SearchFilters/OptionsSelect";

import TextField from '@material-ui/core/TextField';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Switch from '@material-ui/core/Switch';
import Button from '@material-ui/core/Button';
import Radio from '@material-ui/core/Radio';
import RadioGroup from '@material-ui/core/RadioGroup';
import Icon from '@material-ui/core/Icon';
import IconButton from '@material-ui/core/IconButton';
import ClearIcon from '@material-ui/icons/Clear';


export default class Filters extends React.Component {

  constructor(props) {
    super(props);
  }


  handleFilterChange(key, newValue){
    this.props.onChange(key, newValue);
  }


  render(){
    const self = this;
    const state = this.props.state;

    return (
      <div
        className="filters"
        style={{
          "gridGap": "20px"
        }}
      >
        <div style={{"display": "flex", "justifyContent": "space-between"}}>
          <h2 style={{"margin": "0"}}>Suchfilter</h2>
          <Link
            className="buttonLink"
            to="/bestand/zettelkasten/suche"
            title="Alle Filter zurücksetzen"
          >
            <IconButton color="primary" aria-label="Alle Filter zurücksetzen">
              <ClearIcon />
            </IconButton>
          </Link>
        </div>

        {/*
          <OptionsSelect
            title="Zettelkästen"
            id="zks"
            options={[
              {
                label: "ZK I",
                id: "1"
              },
              {
                label: "ZK II",
                id: "2"
              }
            ]}
            onChange={(selected) => this.handleFilterChange({
              "zks": selected
            })}
            defaultSelected={this.state.zks}
          />
        */}

        <TextField
          label="Volltextsuche"
          onChange={(e) => this.handleFilterChange("fulltext", e.target.value)}
          value={state.fulltext}
          fullWidth
        />

        <FormControlLabel
          control={
            <Switch
              checked={state.fuzzy}
              onChange={(e) => this.handleFilterChange(
                "fuzzy", e.target.checked
              )}
              value="fuzzy"
              color="primary"
            />
          }
          label="Fuzzy"
        />

        <RadioGroup
          aria-label="FT-Search Mode"
          name="ft-search-mode"
          value={state.FTSearchMode}
          onChange={(e) => this.handleFilterChange(
            "FTSearchMode", e.target.value
          )}
          className="ZKFTSearchModeRadioGroup"
          style={{
            "display": "inline-flex",
            "flexWrap": "wrap",
            "flexDirection": "row",
            "alignItems": "center",
            "verticalAlign": "middle"
          }}
        >
          <FormControlLabel
            value="and"
            control={<Radio color="primary"/>}
            label="UND"
          />
          <FormControlLabel
            value="or"
            control={<Radio color="primary"/>}
            label="ODER"
          />
        </RadioGroup>

        <br/>

        <TextField
          label="Zettelnummer"
          onChange={(e) => this.handleFilterChange("zettelnummer", e.target.value)}
          value={state.zettelnummer}
          fullWidth
        />

        <RadioGroup
          aria-label="Zettelnummer Seach Mode"
          name="zettelnummerSearchMode"
          value={state.zettelnummerSearchMode}
          onChange={(e) => this.handleFilterChange(
            "zettelnummerSearchMode", e.target.value
          )}
          style={{
            "display": "inline-flex",
            "flexWrap": "wrap",
            "flexDirection": "row",
            "alignItems": "center",
            "verticalAlign": "middle"
          }}
        >
          <FormControlLabel
            value="exact"
            control={<Radio color="primary"/>}
            label="EXAKT"
          />
          <FormControlLabel
            value="starts-with"
            control={<Radio color="primary"/>}
            label="BEGINNT MIT"
          />
        </RadioGroup>

        <br/>

        <OptionsSelect
          title="Bereiche"
          id="areas"
          options={[
            {
              label: "Notizzettel",
              id: "NB"
            },
            {
              label: "ZK I - Schlagwortregister",
              id: "SW1"
            },
            {
              label: "ZK I - Bibliographie 1",
              id: "BG1a"
            },
            {
              label: "ZK I - Bibliographie 2",
              id: "BG1b"
            },
            {
              label: "ZK I - Abteilungsübersicht",
              id: "TU1"
            }
          ]}
          onChange={(selected) => this.handleFilterChange(
            "areas", selected
          )}
          selected={state.areas}
        />
        <hr/>
        <Link
          className="buttonLink"
          to="/bestand/zettelkasten/suche"
        >
          <Button
            color="primary"
          >
            Alle Filter zurücksetzen
          </Button>
        </Link>
      </div>
    );
  }
}
