import React from "react";
import { Link } from "react-router-dom";

const constants = require("../../../../../constants.js");

export default class AnmerkungenBox extends React.Component {

  constructor(props) {
    super(props);
  }


  getAdditionalNotes(zettel){
    let notes = [];

    if (zettel.flags.hasCorrectedImage){

      const originalImageURL = constants.URLS.IMAGE_API
      + zettel.image.id + "?size=2";

      const note = <div style={{"marginBottom": "10px"}} key={"add_note_1"}>
        <p>
          Die hier gezeigte Faksimileansicht des Zettels wurde
          aufgrund der schlechten Lesbarkeit des Originals für die
          Portalansicht optimiert.
          <br/>
          <a href={originalImageURL}>Unveränderte Bilddatei anzeigen</a>
        </p>
      </div>;

      notes.push(note);
    }

    return notes;

  }


  render(){

    const zettel = this.props.zettel;

    return (
      <div className="zettel-anmerkungen">
        <h5>Anmerkungen</h5>
        <div style={{"marginBottom": "10px"}}>
          <p dangerouslySetInnerHTML={{
            __html: zettel.notes && zettel.notes.header_editor
          }} />
        </div>
        <div style={{"marginBottom": "10px"}}>
          {zettel.notes && zettel.notes.editor_note.map((editor_note, i) => {
            return <p key={"editor_note_" + i} dangerouslySetInnerHTML={{
              __html: editor_note
            }}></p>;
          })}
        </div>
        <div style={{"marginBottom": "10px"}}>
          <p dangerouslySetInnerHTML={{
            __html: zettel.notes && zettel.notes.editor_link
          }} />
        </div>
        {this.getAdditionalNotes(zettel)}
      </div>
    );
  }
}
