import React from "react";

//import { Link } from "react-router-dom";
import { HashLink as Link } from 'react-router-hash-link';

import Row from "./Row";
import BusySpinner from "../../../../../UI/BusySpinner";

import { fetchJSON } from "../../../../../../utils.js";

const constants = require("../../../../../../constants.js");

export default class Abteilung extends React.Component {

  constructor(props) {
    super(props);
  }


  getAbteilungFromEditorI(treeNodes, editorI){
    let abteilung = this.getFirstLevelChild(treeNodes, editorI, null);
    return abteilung;
  }


  getFirstLevelChild(treeNodes, searchID, firstLevelChild){
    for (let nodeIdx = 0; nodeIdx < treeNodes.length; nodeIdx++) {
          let currentNode = treeNodes[nodeIdx];
          let currentId = currentNode.id;
          let currentChildren = currentNode.children;

          if (currentId === searchID) {
              return firstLevelChild || currentNode;
          } else if (currentChildren) {
              let foundDescendant = this.getFirstLevelChild(
                currentChildren, searchID, firstLevelChild || currentNode
              );
              if (foundDescendant) {
                  return foundDescendant;
              }
          }
      }
      return false;
  }


  render(){
    const zettel = this.props.zettel;

    if (zettel.meta.logical_zettelkasten !== "1"){
      return "";
    }

    if (!this.props.ZK1_index){
      return (
        <Row title="Abteilung">
          <BusySpinner/>
        </Row>
      );
    }

    const editor_I = zettel.index.editor_I;
    let abteilung = this.getAbteilungFromEditorI(
      this.props.ZK1_index.children,
      editor_I.substring(1)
    )

    let valueMarkup;

    if (abteilung){
      let abteilungLabel = "";
      
      if (abteilung.n){
        abteilungLabel += abteilung.n + " ";
      }
      abteilungLabel += abteilung.title;

      valueMarkup = <Link
        to={"/bestand/zettelkasten/inhaltsuebersicht#" + abteilung.id}
      >
        {abteilungLabel}
      </Link>
    } else {
      valueMarkup = "nicht verfügbar";
    }

    return (
      <Row title="Abteilung">
        {valueMarkup}
      </Row>
    );
  }
}
