import React from "react";

//import { Link } from "react-router-dom";
import { HashLink as Link } from 'react-router-hash-link';

import Row from "./Row";
import Abteilung from "./Abteilung";

const constants = require("../../../../../../constants.js");

export default class Metadata extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){

    var zettel = this.props.zettel;

    return (
      <div className="zettel-metadaten">
        <h5 className="small-screen-padding">Metadaten</h5>
        <div style={{
          "boxShadow": "0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12)"
        }}>
          <Row title="Zettelkasten">
            {
              zettel.zk_number === "1"
              ? <Link to={"/bestand/zettelkasten/inhaltsuebersicht"}>
                I
              </Link>
              : "II"
            }
          </Row>
          <Row title="Auszug">
            <Link to={"/bestand/zettelkasten/" + (zettel.file ? zettel.file["dir-zettelkasten"] : "") + "/auszug/" + zettel.auszug}>
              {(zettel.file ? zettel.file["dir-zettelkasten"] : "") + " / " + zettel.auszug}
            </Link>
          </Row>
          <Abteilung zettel={zettel} ZK1_index={this.props.ZK1_index} />
          <Row title="Zetteltyp">
            {zettel.meta.zettel_type}
          </Row>
          <Row title="Seitentyp">
            {zettel.meta.page_type}
          </Row>
          <Row title="ID">
            {zettel.ekin}
          </Row>
          <Row title="Permalink">
            {/*
              Since the permalink is very long, it may prolong the width of the
              whole metadatabox and thus even of the whole grid column.
              This should not happen! That is why we set wordBreak to break-all
              here.
            */}
            <span
              style={{"wordBreak": "break-all"}}
            >
              {
                constants.URLS.PERMALINK_HOME
                + constants.URLS.ZETTEL_URL_PREFIX
                + zettel.ekin
              }
            </span>
          </Row>
        </div>
      </div>
    );
  }
}
