import React from "react";
import { Link } from "react-router-dom";

import { withStyles } from '@material-ui/core/styles';
import Tooltip from '@material-ui/core/Tooltip';

const styles = theme => ({
  noMaxWidth: {
    maxWidth: 'none',
  },
});

function ShortNavButton(props){

  const classes = props.classes;
  let markup;

  if (props.link){
    markup = <div style={{"display": "inline-block"}}>
      <Tooltip
        title={props.relation + ": " + props.targetLabel}
        classes={{ tooltip: classes.noMaxWidth }}
        /* https://github.com/mui-org/material-ui/issues/10735 */
        PopperProps={{ style: { pointerEvents: 'none' } }}
      >
        <Link to={props.link}>
          <button
            id={props.id}
            className="short-nav-button short-nav-button-enabled"
          >
            <img
              src={"/assets/images/nav_icons/" + props.icon + ".svg"}
              alt={props.relation}
            />
          </button>
        </Link>
      </Tooltip>
    </div>;
  } else {
    markup = <div style={{"display": "inline-block"}}>
      <Tooltip
        title={props.relation + " (bei diesem Zettel nicht möglich)"}
        classes={{ tooltip: classes.noMaxWidth }}
      >
        <div className="short-nav-button" style={{"display": "inline-block"}}>
          <img
            id={props.id}
            src={"/assets/images/nav_icons/" + props.icon + "_disabled.svg"}
            alt={props.relation}
          />
        </div>
      </Tooltip>
    </div>;
  }

  return markup;

}

export default withStyles(styles)(ShortNavButton);
