import React from "react";

import { Link } from "react-router-dom";
import { withRouter } from 'react-router';

import TextField from '@material-ui/core/TextField';
import Button from '@material-ui/core/Button';

class SuchBox extends React.Component {

  constructor(props) {
    super(props);
    this.state = {
      q: "",
      area: "inhaltsuebersicht"
    };
  }


  goToSearch(){
    this.props.history.push(
      '/bestand/zettelkasten/suche?q={"fulltext": "' + this.state.q + '"}'
    );
  }


  render(){

    return (
      <div className="zettel-search">
        <h5>Suche</h5>
        <div>
          <div style={{"width": "300px", "paddingBottom": "20px"}}>
            <TextField
              label="Suchbegriff"
              fullWidth
              onChange={(e) => this.setState({q: e.target.value})}
              onKeyPress={(e) => {
                if (e.charCode === 13){
                  this.props.history.push(
                    '/bestand/zettelkasten/suche?q={"fulltext": "'
                    + this.state.q + '"}'
                  );
                }
              }}
              value={this.props.value}
            />
          </div>
          <Button
            onClick={this.goToSearch.bind(this)}
            variant="contained"
            color="primary"
          >
            Suchen
          </Button>
          <Link className="buttonLink" to="/bestand/zettelkasten/suche">
            <Button
              color="primary"
            >
              Zur erweiterten Suche
            </Button>
          </Link>
        </div>
      </div>
    );
  }
}


export default withRouter(SuchBox)
