import React from "react";

import { HashLink } from 'react-router-hash-link';

import InhaltsübersichtBox from "./InhaltsübersichtBox";
import SuchBox from "./SuchBox";

import Button from '@material-ui/core/Button';

const constants = require("../../../../../../constants.js");

export default class Sidebar extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){

    const zettel = this.props.zettel;
    const abteilungID = zettel && zettel.index.editor_I.substring(1) || "";

    return (
      <div className="zettel-page-sidebar">
        <h5 style={{"textAlign": "center", "margin": "0px"}}>
          <HashLink
            to={"/bestand/zettelkasten/inhaltsuebersicht#" + abteilungID}
            className="buttonLink"
          >
            <Button color="primary">
              Inhaltsübersicht des ZK I
            </Button>
          </HashLink>
        </h5>
        {
          zettel && zettel.index.editor_I.length > 1
          ? <InhaltsübersichtBox
            zettel={zettel}
            ZK1_index={this.props.ZK1_index}
          />
          : ""
        }
        <SuchBox/>
      </div>
    );
  }
}
