import React from "react";

import { Link } from "react-router-dom";

import {getPublicationDate} from "../logic.js";

export default class TranskriptionBox extends React.Component {

  constructor(props) {
    super(props);
  }


  getTranscription(zettel){

    if (zettel.availability == "restricted"){
      return <div>
        <p>
          Der Inhalt dieser Zettelseite ist rechtlich geschützt, und kann daher nicht angezeigt werden.
        </p>
      </div>;
    }

    if (
      zettel.transcription.isTranscribed
      || (process.env.PORTAL_MODE !== 'production')
    ){
      return <div dangerouslySetInnerHTML={{__html: zettel.transcription.html}}>
      </div>;
    } else {
      const publicationDate = getPublicationDate(
        zettel.file["dir-zettelkasten"],
        zettel.file["dir-auszug"],
        zettel.ekin
      );

      return <div>
        <p>
          Die Veröffentlichung der Transkription dieses Zettels erfolgt
          voraussichtlich im
          <span> {publicationDate}</span>.
        </p>
      </div>;
    }
  }

  render(){

    const zettel = this.props.zettel;

    return (
      <div className={"transcription"}>
        {this.getTranscription(zettel)}
      </div>
    );
  }
}
