const getPublicationDate = (physical_zk_number, auszug, ekin) => {

  const TRANSCRIPTION_RELEASE_DATES = {
    "1": {
      "01": {
        "month" : "03",
        "year" : "2019"
      },
      "02": {
        "month" : "09",
        "year" : "2019"
      },
      "03": {
        "month" : "03",
        "year" : "2020"
      },
      "04": {
        "month" : "09",
        "year" : "2020"
      },
      "05": {
        "month" : "03",
        "year" : "2021"
      },
      "06": {
        "month" : "09",
        "year" : "2021"
      },
      "07": {
        "month" : "03",
        "year" : "2022"
      }
    },
    "2" : {
      "01": {
        "month" : "04",
        "year" : "2023"
      },
      "02": {
        "month" : "10",
        "year" : "2023"
      },
      "03": {
        "month" : "04",
        "year" : "2024"
      },
      "04": {
        "month" : "10",
        "year" : "2024"
      },
      "05": {
        "month" : "04",
        "year" : "2025"
      },
      "06": {
        "month" : "10",
        "year" : "2025"
      },
      "07": {
        "month" : "04",
        "year" : "2026"
      },
      "08": {
        "month" : "10",
        "year" : "2026"
      },
      "09": {
        "month" : "04",
        "year" : "2027"
      },
      "10": {
        "month" : "10",
        "year" : "2027"
      },
      "11": {
        "month" : "04",
        "year" : "2028"
      },
      "12": {
        "month" : "10",
        "year" : "2028"
      },
      "13": {
        "month" : "04",
        "year" : "2029"
      },
      "14": {
        "month" : "10",
        "year" : "2029"
      },
      "15": (physical_zk_number, auszug, ekin) => {
        if (ekin){
          const area = ekin.split("_")[2];
          if (area === "BG2a"){
            return {
              "month": "05",
              "year": "2023"
            };
          } else {
            return {
              "month": "04",
              "year": "2030"
            };
          }
        } else {
          return {
            "month": "04",
            "year": "2030"
          };
        }
      },
      "16": {
        "month" : "10",
        "year" : "2020"
      },
      "17": {
        "month" : "10",
        "year" : "2021"
      }
    }
  };

  const MONTHS = [
    "Januar", "Februar", "März", "April", "Mai", "Juni",
    "Juli", "August", "September", "Oktober", "November", "Dezember"
  ];

  let plannedDate = TRANSCRIPTION_RELEASE_DATES[
    physical_zk_number
  ][
    auszug
  ];
  if (typeof plannedDate === "function"){
    plannedDate = plannedDate(physical_zk_number, auszug, ekin);
  }

  return MONTHS[parseInt(plannedDate.month)] + " " + plannedDate.year;

};


export {
  getPublicationDate
}
