import React from "react";
import { Link } from "react-router-dom";
import { Route, Redirect } from "react-router-dom";

import TilesOverview from "./TilesOverview.js"
import BestandPanel from "./BestandPanel.js"
import Auszüge from "./ZK/Auszüge.js"
import Auszug from "./ZK/Auszug.js"
import Zettel from "./ZK/Zettel"

import BestandsregisterTutorial from "./Register/Tutorial.js"

import BibliographieItem from "./Register/Bibliographie/Item"
import PersonItem from "./Register/Personenregister/Item"
import MediaItem from "./AV/MediaItem.js"

export default class Bestand extends React.Component {
  render(){
    return (
      <React.Fragment>
        <Route path="/bestand"
          exact
          component={TilesOverview}
        />

        <Route exact path="/bestand/zettelkasten" render={() => (
            <Redirect to="/bestand/zettelkasten/tutorial"/>
        )}/>
        <Route exact path="/bestand/register" render={() => (
            <Redirect to="/bestand/register/tutorial"/>
        )}/>

        <Route path="/bestand/:bestand"
          exact
          component={BestandPanel}
        />
        <Route path="/bestand/:bestand(av)/:subpage(suche)"
          exact
          component={BestandPanel}
        />
        <Route path="/bestand/:bestand(zettelkasten)/:subpage(suche|inhaltsuebersicht|auszuege|tutorial)"
          exact
          component={BestandPanel}
        />
        <Route path="/bestand/:bestand(register)/:subpage(bibliographie|tutorial)"
          exact
          component={BestandPanel}
        />

        <Route path="/bestand/zettelkasten/:zk_nummer/auszug/:auszug"
          exact
          component={Auszug}
        />

        <Route exact path="/bestand/zettelkasten/random" render={() => {

            const randomEKINs = [
              "ZK_1_NB_1-5_V",
              "ZK_1_NB_1-5A4_V",
              "ZK_1_NB_7-7e_V",
              "ZK_1_NB_17-1b_V",
              "ZK_1_NB_17-1b1_V",
              "ZK_1_NB_5-16a_V",
              "ZK_1_NB_17-1b24_V",
              "ZK_1_NB_8-9_V",
              "ZK_1_NB_20-3_V",
            ];

            const ekin = randomEKINs[
              Math.floor(Math.random()*randomEKINs.length)
            ];

            return <Redirect to={"/bestand/zettelkasten/zettel/" + ekin}/>;
        }}/>
        <Route path="/bestand/zettelkasten/zettel/:ekin" exact component={Zettel}/>
        <Route path="/bestand/zettelkasten/zettel/" exact component={Zettel}/>
        <Route path="/bestand/av/item/:id" exact component={MediaItem}/>

        <Route path="/bestand/bibliographie/item/:id"
          exact component={BibliographieItem}
        />

        <Route path="/bestand/bibliographie/item"
          exact component={BibliographieItem}
        />

        <Route path="/bestand/register/personenregister/item/:id"
          exact component={PersonItem}
        />
      </React.Fragment>
    );
  }
}
