const uuidv4 = require("uuid/v4");

const clientID = uuidv4();

let HOME_URL;
let ASSET_SERVER;
let DATABASE_API;
let IMAGE_API;

switch (process.env.PORTAL_MODE){
  case "production": {
    HOME_URL = "https://niklas-luhmann-archiv.de";
    ASSET_SERVER = "https://assets.niklas-luhmann-archiv.de/";
    DATABASE_API = "https://v0.api.niklas-luhmann-archiv.de/";
    IMAGE_API = "https://images.niklas-luhmann-archiv.de/image/";
    break;
  }
  case "testing": {
    HOME_URL = "https://luhmann1.soz.uni-bielefeld.de";
    ASSET_SERVER = "https://assets.luhmann1.soz.uni-bielefeld.de/";
    DATABASE_API = "https://v0.api.luhmann1.soz.uni-bielefeld.de/";
    IMAGE_API = "https://images.luhmann1.soz.uni-bielefeld.de/image/";
    break;
  }
  case "development": {
    HOME_URL = "http://beta.luhmann1.soz.uni-bielefeld.de";
    //ASSET_SERVER = "https://assets.luhmann1.soz.uni-bielefeld.de/";
    //DATABASE_API = "http://api.beta.luhmann1.soz.uni-bielefeld.de/";
    ASSET_SERVER = "https://assets.luhmann1.soz.uni-bielefeld.de/";
    DATABASE_API = "https://v0.api.luhmann1.soz.uni-bielefeld.de/";
    IMAGE_API = "https://images.luhmann1.soz.uni-bielefeld.de/image/";
  }
}

module.exports = {
  APP_TITLE: "Niklas Luhmann-Archiv",
  URLS: {
    HOME_URL,
    DATABASE_API,
    IMAGE_API,
    "ZETTEL_URL_PREFIX": "/bestand/zettelkasten/zettel/",
    "BIBL_URL_PREFIX": "/bestand/bibliographie/item/",
    "AV_URL_PREFIX": "/bestand/av/item/",
    ASSET_SERVER,
    "ASSET_SERVER_STATIC_IMAGES": ASSET_SERVER + "images/",
    "CORRECTED_IMAGES_FOLDER": ASSET_SERVER + "corrected_images/",
    "AV_ASSET_FOLDER": ASSET_SERVER + "av/",
    "BRANCH_VIS_DATA_FOLDER": ASSET_SERVER + "zettel-branch-vis-data/",
    "PERMALINK_HOME": "niklas-luhmann-archiv.de",
    "ZK1_INDEX": "/assets/Inhaltsübersicht_ZKI.json"
  },
  SEARCH_RESULTS_PER_PAGE: 10,
  ZETTEL_PER_AUSZUG_PAGE: 100,
  CLIENT_ID: clientID
};
