/*
  Example usage:
  node server.js 80 production
  node server.js 8080
*/

require('@babel/register')({
  presets: [
    require.resolve("@babel/preset-react"),
    [
      require.resolve("@babel/preset-env"),
      {
        "targets": {
          "node": "11.0"
        }
      }
    ]
  ],
  plugins: []
});

console.log(new Date().toLocaleString());

console.log("NODE version: " + process.version);
console.log(
  "Material-UI version: "
  + JSON.parse(
    require("fs").readFileSync(
      require("path").join(
        __dirname, "node_modules", "@material-ui", "core", "package.json"
      )
    )
  ).version
);

const port = parseInt(process.argv[2]) || 80;
console.log("Port " + port);

/*
  There are 3 PORTAL_MODEs: development, testing, production
  development and testing modes both use the NODE_ENV "development"
*/
const PORTAL_MODE = process.argv[3] || "development";
const NODE_ENV = PORTAL_MODE === "production" ? "production" : "development";
process.env.PORTAL_MODE = PORTAL_MODE;
process.env.NODE_ENV = NODE_ENV;
console.log("NODE_ENV = " + process.env.NODE_ENV);
console.log("PORTAL_MODE = " + PORTAL_MODE);

const app = require('./server-app.js');
app.init({port});
