var webpack = require('webpack');
var path = require('path');

module.exports = {
    entry: "./app/index.js",
    output: {
        path: path.resolve(__dirname, "assets"),
        publicPath: "/assets/",
        filename: "bundle.js"
    },
    module: {
        rules: [
            {
                test: /\.js?$/,
                exclude: /(node_modules|bower_components)/,
                loader: 'babel-loader',
                options: {
                    presets: ["@babel/react"],
                    plugins: [
                      [
                        "@babel/plugin-proposal-object-rest-spread",
                        {"useBuiltIns": true}
                      ]
                    ]
                }
            }

        ]
    },
    devServer: {
        historyApiFallback: true
    },
    watchOptions: {
        ignored: /node_modules/
    }
};
